RegionResourceType (Oracle - Berkeley DB Java API)
Date: 2013-09-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class RegionResourceType

    java.lang.Object
      com.sleepycat.db.RegionResourceType

    public final class RegionResourceType

extends Object

Advanced configuration is possible for various systems that use shared memory (regions) for cross process sharing. This class defines those resources.

Field Summary
`static RegionResourceType` | `LOCK` The locks.
`static RegionResourceType` | `LOCK_OBJECT` The lock objects.
`static RegionResourceType` | `LOCKER` The lockers.
`static RegionResourceType` | `LOG_ID` The log identifiers.
`static RegionResourceType` | `THREAD` The threads.
`static RegionResourceType` | `TRANSACTION` The transaction handles.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOCK

    public static final RegionResourceType LOCK

  The locks.

### LOCK_OBJECT

    public static final RegionResourceType LOCK_OBJECT

  The lock objects.

### LOCKER

    public static final RegionResourceType LOCKER

  The lockers.

### LOG_ID

    public static final RegionResourceType LOG_ID

  The log identifiers.

### TRANSACTION

    public static final RegionResourceType TRANSACTION

  The transaction handles.

### THREAD

    public static final RegionResourceType THREAD

  The threads.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.